%bcond_with bootstrap

Summary:       Maven dependency tree artifact
Name:          maven-dependency-tree
Version:       3.1.0
Release:       7%{?dist}
License:       ASL 2.0
URL:           https://maven.apache.org/
Source0:       https://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip
%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven.shared:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.eclipse.aether:aether-api)
BuildRequires:  mvn(org.eclipse.aether:aether-util)
%endif

BuildArch:     noarch
ExclusiveArch: %{java_arches} noarch

Provides:      maven-shared-dependency-tree = %{version}-%{release}

%description
Apache Maven dependency tree artifact. Originally part of maven-shared.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.



%prep
%autosetup

rm -R src/main/java/org/apache/maven/shared/dependency/graph/internal/maven30
rm src/main/java/org/apache/maven/shared/dependency/graph/internal/Maven3DependencyGraphBuilder.java
rm src/main/java/org/apache/maven/shared/dependency/graph/internal/Maven3DependencyCollectorBuilder.java
%pom_remove_dep org.sonatype.aether:

%pom_remove_plugin :apache-rat-plugin
%pom_remove_plugin :maven-invoker-plugin



%build
%mvn_build -f



%install
%mvn_install



%files -f .mfiles
%license LICENSE
%doc NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE
%doc NOTICE



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Zhao Zhen <jeremiazhao@tencent.com> - 3.1.0-3
- switched to non-bootstrap building

* Tue Apr 18 2023 Zhao Zhen <jeremiazhao@tencent.com> - 3.1.0-2
- rebuild

* Tue Apr 18 2023 Zhao Zhen <jeremiazhao@tencent.com> - 3.1.0-1
- updated to upstream 3.1.0

* Fri Mar 24 2023 Miaojun Dong <zoedong@tencent.com> - 3.0.1-2
- rebuild

* Fri Mar 24 2023 Miaojun Dong <zoedong@tencent.com> - 3.0.1-1
- initial build